<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
  xmlns:app="http://schemas.android.com/apk/res-auto"
  android:id="@+id/nav_graph.xml"
  app:startDestination="@id/rosterListFragment">

  <fragment
    android:id="@+id/rosterListFragment"
    android:name="com.commonsware.todo.ui.roster.RosterListFragment"
    android:label="@string/app_name">
    <action
      android:id="@+id/displayModel"
      app:destination="@id/displayFragment" />
    <action
      android:id="@+id/createModel"
      app:destination="@id/editFragment" >
      <argument
        android:name="modelId"
        android:defaultValue="@null" />
    </action>
    <action
      android:id="@+id/showError"
      app:destination="@id/errorDialogFragment" />
  </fragment>
  <fragment
    android:id="@+id/displayFragment"
    android:name="com.commonsware.todo.ui.display.DisplayFragment"
    android:label="@string/app_name" >
    <argument
      android:name="modelId"
      app:argType="string" />
    <action
      android:id="@+id/editModel"
      app:destination="@id/editFragment" />
  </fragment>
  <fragment
    android:id="@+id/editFragment"
    android:name="com.commonsware.todo.ui.edit.EditFragment"
    android:label="@string/app_name" >
    <argument
      android:name="modelId"
      app:argType="string"
      app:nullable="true" />
  </fragment>
  <fragment
    android:id="@+id/prefsFragment"
    android:name="com.commonsware.todo.ui.prefs.PrefsFragment"
    android:label="@string/settings" />
  <action android:id="@+id/editPrefs" app:destination="@id/prefsFragment" />
  <dialog
    android:id="@+id/errorDialogFragment"
    android:name="com.commonsware.todo.ui.ErrorDialogFragment"
    android:label="ErrorDialogFragment" >
    <argument
      android:name="title"
      app:argType="string" />
    <argument
      android:name="message"
      app:argType="string" />
    <argument
      android:name="scenario"
      app:argType="com.commonsware.todo.ui.ErrorScenario" />
  </dialog>
</navigation>